Bug 1304533 - ceph-deploy 1.5.36 for 1.3.3
ceph-deploy 1.5.36 for 1.3.3
Status: CLOSED ERRATA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Installer (Show other bugs)
1.3.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.3
Assigned To: Ken Dreyer (Red Hat)
Tejas
Bara Ancincova
: Rebase
Depends On:
Blocks: 1317427 1326987 1372735
  Show dependency treegraph
 
Reported: 2016-02-03 17:52 EST by Vasu Kulkarni
Modified: 2016-09-29 08:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: RHEL: ceph-deploy-1.5.36-1.el7cp Ubuntu: ceph-deploy_1.5.36-2redhat1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
."ceph-deploy" rebased to 1.5.36 The `ceph-deploy` package has been updated to the upstream version 1.5.36, which provides a number of bug fixes and enhancements over the previous version.
Story Points: ---
Clone Of:
: 1326987 (view as bug list)
Environment:
Last Closed: 2016-09-29 08:56:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2200641 None None None 2016-03-16 03:41 EDT

  None (edit)
Description Vasu Kulkarni 2016-02-03 17:52:25 EST
Description of problem:
The current version of ceph-deploy in 1.3.2 is 1.5.27.4 and the latest upstream is 1.5.31, after discussion with Ken raising the bz for 1.3.3 to sync ceph-deploy to lastest upstream vesion


Version-Release number of selected component (if applicable):
1.3.2 - 1.5.27.4

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:
N/A
Comment 2 Ken Dreyer (Red Hat) 2016-08-15 11:25:28 EDT
Vasu, would you please test ceph-deploy 1.5.35 with RHCS 1.3 downstream before we pull this in? After talking with Alfredo, the latest ceph-deploy versions may not fully support Hammer (particularly the Ubuntu package layout that we use downstream, eg. the server packages are not split, and we do not ship ceph-mds on Ubuntu for RHCS 1.3, etc.).
Comment 3 Vasu Kulkarni 2016-08-15 12:49:58 EDT
Ken,

Sure, It can be an issue with ceph-mds, I will test that, Did you generate 1.3 for ubuntu yet?
Comment 8 Ramakrishnan Periyasamy 2016-09-14 06:01:35 EDT
Cluster installation for build 1.3.3 is successful using ceph-deploy version 1.5.36 

Verified in RHEL and Ubuntu.
Comment 11 errata-xmlrpc 2016-09-29 08:56:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html

Note You need to log in before you can comment on or make changes to this bug.